SFML 3.0.2
Loading...
Searching...
No Matches
Namespaces | Functions
PlaybackDevice.hpp File Reference
`#include <SFML/Audio/Export.hpp>`
`#include <optional>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | sf
namespace | sf::PlaybackDevice

## Functions

std::vector< std::string > | sf::PlaybackDevice::getAvailableDevices ()
| Get a list of the names of all available audio playback devices.
std::optional< std::string > | sf::PlaybackDevice::getDefaultDevice ()
| Get the name of the default audio playback device.
bool | sf::PlaybackDevice::setDevice (const std::string &name)
| Set the audio playback device.
std::optional< std::string > | sf::PlaybackDevice::getDevice ()
| Get the name of the current audio playback device.